# $Revision: 1.46 $, $Date: 2011/11/25 20:22:22 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	Implementation of General Security Service API
Summary(pl.UTF-8):	Implementacja GSS API (General Security Service API)
Name:		gss
Version:	1.0.2
Release:	1
License:	GPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/gss/%{name}-%{version}.tar.gz
# Source0-md5:	cfc83094ce92fff2db7a759c6f7541f7
Patch0:		%{name}-info.patch
URL:		http://josefsson.org/gss/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.18.1
BuildRequires:	gtk-doc >= 1.1
BuildRequires:	help2man
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	shishi-devel >= 0.0.18
BuildRequires:	texinfo
Requires:	shishi >= 0.0.18
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GSS is an implementation of the Generic Security Service Application
Program Interface (GSS-API). GSS-API is used by network servers to
provide security services, e.g., to authenticate SMTP/IMAP clients
against SMTP/IMAP servers.

%description -l pl.UTF-8
GSS to implementacja GSS-API (Generic Security Service Application
Program Interface - ogólnego API usług bezpieczeństwa). GSS-API jest
używane przez serwery sieciowe do udostępniania usług bezpieczeństwa,
na przykład uwierzytelniania klientów SMTP/IMAP dla serwerów
SMTP/IMAP.

%package devel
Summary:	Header files for GSS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GSS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk-doc-common
Requires:	shishi-devel >= 0.0.18
# man3/gss_acquire_cred.3 file conflict
Conflicts:	heimdal-devel

%description devel
Header files for GSS library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GSS.

%package static
Summary:	Static GSS library
Summary(pl.UTF-8):	Statyczna biblioteka GSS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GSS library.

%description static -l pl.UTF-8
Statyczna biblioteka GSS.

%prep
%setup -q
%patch0 -p1

%{__rm} m4/libtool.m4 po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4 -I lib/gl/m4 -I src/gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README* THANKS
%attr(755,root,root) %{_bindir}/gss
%attr(755,root,root) %{_libdir}/libgss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgss.so.3
%{_mandir}/man1/gss.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgss.so
%{_libdir}/libgss.la
%{_includedir}/gss.h
%{_includedir}/gss
%{_pkgconfigdir}/gss.pc
%{_infodir}/gss.info*
%{_mandir}/man3/gss*.3*
%{_gtkdocdir}/gss

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgss.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gss.spec,v $
Revision 1.46  2011/11/25 20:22:22  qboosh
- updated to 1.0.2
- removed obsolete pl.po-update patch

Revision 1.45  2010/05/21 06:58:08  qboosh
- updated to 1.0.1
- updated pl.po-update patch

Revision 1.44  2010/05/13 16:09:11  sparky
- BR: docbook-dtd412-xml, help2man

Revision 1.43  2010/04/08 20:46:55  qboosh
- updated to 1.0.0 (new soname)
- updated pl.po-update patch

Revision 1.42  2010/03/25 18:52:43  qboosh
- updated to 0.1.5 (new soname)
- updated pl.po-update patch

Revision 1.41  2009/03/31 20:19:09  qboosh
- updated to 0.0.26
- added pl.po-update patch

Revision 1.40  2009/02/27 21:42:35  arekm
- up to 0.0.25

Revision 1.39  2008/09/10 22:15:03  qboosh
- updated to 0.0.24

Revision 1.38  2008/08/27 19:30:01  qboosh
- oops, alpha.gnu.org currently

Revision 1.37  2008/08/27 19:16:36  qboosh
- updated Source URL (moved to gnu.org)

Revision 1.36  2008/05/13 13:02:17  charles
- without static_libs bcond

Revision 1.35  2008-01-24 01:36:32  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.34  2008-01-05 13:21:06  qboosh
- updated to 0.0.23

Revision 1.33  2007-07-02 18:07:24  qboosh
- GPL v3

Revision 1.32  2007/06/30 20:26:21  arekm
- up to 0.0.22

Revision 1.31  2007/05/23 22:06:32  qboosh
- updated to 0.0.21

Revision 1.30  2007/04/18 08:42:59  qboosh
- updated to 0.0.20

Revision 1.29  2007/04/04 09:16:16  qboosh
- so explicit Conflicts with heimdal-devel

Revision 1.28  2007/03/31 21:41:07  baggins
- rel 2
- no heimdal, no workaround needed

Revision 1.27  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.25  2007/01/20 11:50:06  qboosh
- updated to 0.0.19

Revision 1.24  2006/12/13 12:56:18  pluto
- release 2, rebuild with P: *.la.

Revision 1.23  2006/11/14 18:27:25  qboosh
- updated to 0.0.18

Revision 1.22  2006/08/04 22:28:37  charles
- BR: pkgconfig

Revision 1.21  2006/05/17 05:45:32  qboosh
- updated to 0.0.17, updated info patch

Revision 1.20  2006/03/15 19:43:23  patrys
- new libtasn

Revision 1.19  2005/08/12 03:10:05  aredridel
- up to 0.0.16

Revision 1.18  2005/07/11 17:41:17  arekm
- rel 2

Revision 1.17  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.16  2004/11/23 21:30:30  qboosh
- updated to 0.0.15, build gtk-doc

Revision 1.15  2004/10/17 21:31:27  qboosh
- updated to 0.0.14 (for shishi 0.0.18)

Revision 1.14  2004/08/08 03:28:26  aredridel
- up to 0.0.13

Revision 1.13  2004/08/02 18:32:25  qboosh
- workaround conflict with heimdal-devel

Revision 1.12  2004/08/02 17:29:49  qboosh
- added man3 pages and HTML reference to -devel

Revision 1.11  2004/08/01 21:06:44  aredridel
- up to 0.0.12

Revision 1.10  2004/04/20 20:01:59  qboosh
- updated to 0.0.11, pl.po has been merged

Revision 1.9  2004/04/20 09:21:12  krzak
- rel 2 for new gnutls

Revision 1.8  2004/02/22 22:48:03  qboosh
- updated to 0.0.10, added pl.po

Revision 1.7  2004/01/15 20:24:56  qboosh
- updated to 0.0.9

Revision 1.6  2004/01/07 19:31:31  qboosh
- updated ac/lt hacks; release 2

Revision 1.5  2003/11/26 14:49:42  qboosh
- updated to 0.0.7, updated info patch, added workaround for autoconf madness

Revision 1.4  2003/11/25 22:14:36  qboosh
- updated deps (no pkgconfig, shishi 0.0.7)

Revision 1.3  2003/11/25 22:09:40  qboosh
- updated to 0.0.6, removed obsolete amfix patch

Revision 1.2  2003/08/03 10:21:48  qboosh
- -devel R: shishi-devel

Revision 1.1  2003/08/02 23:31:55  qboosh
- new
